Bug 514505 - Extra IDE device /dev/hdc appears in RHEL 5.3/5.4 guests
Extra IDE device /dev/hdc appears in RHEL 5.3/5.4 guests
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-29 09:16 EDT by Richard W.M. Jones
Modified: 2010-03-27 06:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:47:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-07-29 09:16:04 EDT
Description of problem:

When running 'make check':

  170/186 test_list_devices_0
  test_list_devices_0: expected "/dev/sda" but got "/dev/sdc"
  test_list_devices_0 FAILED

When performing a simple test with guestfish:

  $ ./fish/guestfish 
  
  Welcome to guestfish, the libguestfs filesystem interactive shell for
  editing virtual machine filesystems.
  
  Type: 'help' for help with commands
        'quit' to quit the shell
  
  ><fs> alloc /tmp/test.img 10M
  ><fs> run
  ><fs> list-devices 
  /dev/hdc     <------------- Note
  /dev/vda

Version-Release number of selected component (if applicable):

libguestfs-1.0.64
qemu-system-x86-0.10.5-1.el5 (EPEL 5.3)
kvm-83-82 (RHEL 5.4 Beta)

How reproducible:

Always.

Additional info:

qemu command line:

/usr/bin/qemu -drive file=/tmp/test.img,cache=off,if=virtio \
  -m 500 \
  -no-reboot \
  -kernel /tmp/libguestfsgEFKrO/kernel \
  -initrd /tmp/libguestfsgEFKrO/initrd \
  -append 'panic=1 console=ttyS0 udevtimeout=300 noapic acpi=off cgroup_disable=memory guestfs=10.0.2.4:6666' \
  -nographic \
  -serial stdio \
  -net channel,6666:unix:/tmp/libguestfsgEFKrO/sock,server,nowait \
  -net user,vlan=0 -net nic,model=virtio,vlan=0 \
  -no-hpet \
  -rtc-td-hack

At boot the kernel says:

PIIX3: IDE controller at PCI slot 0000:00:01.1
PIIX3: chipset revision 0
PIIX3: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xc000-0xc007, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0xc008-0xc00f, BIOS settings: hdc:pio, hdd:pio
hdc: QEMU DVD-ROM, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
Comment 1 Richard W.M. Jones 2009-07-29 10:10:18 EDT
Fix posted:

https://www.redhat.com/archives/libguestfs/2009-July/msg00110.html
Comment 2 Fedora Update System 2009-07-29 13:00:39 EDT
libguestfs-1.0.65-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.65-2.el5
Comment 3 Fedora Update System 2009-08-06 14:10:07 EDT
libguestfs-1.0.66-1.fc11.1 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.66-1.fc11.1
Comment 4 Fedora Update System 2009-08-07 04:33:58 EDT
libguestfs-1.0.66-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.66-4.el5
Comment 5 Fedora Update System 2009-08-14 04:23:32 EDT
libguestfs-1.0.67-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.67-1.fc11
Comment 6 Fedora Update System 2009-08-14 05:13:42 EDT
libguestfs-1.0.67-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.67-1.el5
Comment 7 Fedora Update System 2009-08-17 20:22:39 EDT
libguestfs-1.0.65-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-08-19 14:31:39 EDT
libguestfs-1.0.68-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.68-2.fc11
Comment 9 Fedora Update System 2009-08-19 17:55:08 EDT
libguestfs-1.0.68-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.68-5.el5
Comment 10 Fedora Update System 2009-09-06 16:47:29 EDT
libguestfs-1.0.68-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-09-08 18:59:20 EDT
libguestfs-1.0.68-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Richard W.M. Jones 2010-03-27 06:47:48 EDT
Long fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.